/////////////////////////////////////////////////////////////////////
// Code/helloworld.cpp
// One of the Edge samples
// Set up a basic application framework using Edge
//
// Copyright (c) Elements Interactive B.V.
// http://www.edgelib.com
//
// Show "hello world" on the screen and exit by clicking/tapping the
// window or hitting a key
/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////
// Include and link the library                                    //
/////////////////////////////////////////////////////////////////////

//Include Edge
#include "edgemain.h"

//Link the Edge static library
#pragma comment(lib, "edge.lib")

//Contains ClassMain, the application framework
#include "main.h"

#if defined(DEVICE_WIN32)

//Include internal resources for native Win32 builds
#include "resource.h"

#endif


/////////////////////////////////////////////////////////////////////
// The program entry point                                         //
/////////////////////////////////////////////////////////////////////

MAINRET EdgeMain(EDGEDATA *data)
{
	#if defined(DEVICE_WIN32)
		data->appicon = IDI_MAIN;
	#endif
	ClassEStd::StrCpy(data->caption, "Hello World!");
	ClassMain *main = new ClassMain(data);
	return(main->Start());
}
